> For the complete documentation index, see [llms.txt](https://docs.xrpscan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xrpscan.com/api-documentation/ledger/ledgers.md).

# Ledgers

This endpoint retrieves last 10 ledgers closed by the network.

## Request

{% tabs %}
{% tab title="GET" %}

```
GET /api/v1/ledgers
```

{% endtab %}
{% endtabs %}

## Example

{% tabs %}
{% tab title="curl" %}

```
curl https://api.xrpscan.com/api/v1/ledgers
```

{% endtab %}
{% endtabs %}

## Response

{% tabs %}
{% tab title="JSON" %}

```json
{
  "current_ledger": 90852571,
  "ledgers": [
    {
      "ledger_index": 90852571,
      "ledger_hash": "6BA5FD4D8CD8DC513DE2410D87C8FB21A86E8DE327D5D5679945698DAD6284D2",
      "close_flags": 0,
      "close_time": 1726737870,
      "close_time_human": "2024-09-19T09:24:30.000Z",
      "close_time_resolution": 10,
      "parent_close_time": 1726737862,
      "parent_hash": "B6B25C45558ABB1CDA74C3128EA854DB0D921B621FF383F684BECE8A82CC7DC9",
      "transaction_hash": "BABD823DC4EEF9BF757D6F596DC9C55A6D8EF99BE2A230A30468BFF26497C963",
      "tx_count": 71,
      "total_coins": 99987172394797580,
      "destroyed_coins": -16880
    },
    {
      "ledger_index": 90852570,
      "ledger_hash": "B6B25C45558ABB1CDA74C3128EA854DB0D921B621FF383F684BECE8A82CC7DC9",
      "close_flags": 0,
      "close_time": 1726737862,
      "close_time_human": "2024-09-19T09:24:22.000Z",
      "close_time_resolution": 10,
      "parent_close_time": 1726737861,
      "parent_hash": "DEDF680D8A0D2058EF8FC1330D7C9111E2C823815537E84DAB015B4FF76679CD",
      "transaction_hash": "1FDEFF9192B28E6E09665B927DFBB53971E47BA527BEF28DCDC6E37D27077261",
      "tx_count": 57,
      "total_coins": 99987172394814460,
      "destroyed_coins": -13696
    },
    ...
  ]
}
```

{% endtab %}
{% endtabs %}

## Response format

Additional properties may be available in the response based on rippled `ledger` command.

{% embed url="<https://xrpl.org/ledger.html#response-format>" %}
